FREEDIAMETERD(1)

NAME
freeDiameterd - daemon for the Diameter protocol

SYNOPSIS
freeDiameterd [options]

DESCRIPTION

Diameter is a protocol designed to carry Authentication, Authorization and Accounting (AAA) payload. It is an evolution of the RADIUS protocol (as the name suggests).

This simple daemon parses the command line and initializes the freeDiameter framework. Use it for your Diameter server & agent components. In case of Diameter clients, you probably will prefer linking the libfdcore directly with your client application that must be made Diameter-aware.

Diameter is a protocol used in the Evolved Packet Core (EPC) for 4G / LTE networks.

OPTIONS

-h,--help
    Print help and exit

-V,--version
    Print version and exit

-c,--config=filename
    Read configuration from this file instead of the default location (/etc/freeDiameter/freeDiameter.conf).

-D,--daemon
    Start program in background -p,--pidfile=filename Write PID to filename

-s,--syslog
    Write log output to syslog (instead of stdout)

Debug:

    -l,--dbglocale
        Set the locale for error messages

    -d,--debug
        Increase verbosity of debug messages if default logger is used

    -q,--quiet
        Decrease verbosity if default logger is used

    -f,--dbg_func <func>
        Enable all traces within the function <func>

    -F,--dbg_file <file.c>
        Enable all traces within the file <file.c> (basename match)

    -g,--dbg_gnutls <int>
        Enable GNU TLS debug at level <int>

AUTHOR
This manual page was written by Ruben Undheim <ruben.undheim@gmail.com> for the Debian project (and may be used by others).